using UnityEngine; //You'll probably need this...

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("DragonBall Playground", "DragonBall Playground", ModAPI.LoadSprite("Cthumb.png"));
            // Humans
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Son Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "HEY ITS ME GOKU", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Goku thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("goku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 2f;
                             body.BreakingThreshold *= 10f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Ultra instinct Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I can't give in now. Everyone's counting on me.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("UIGoku thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("UIGoku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("UIHair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 140f;
                             body.BreakingThreshold *= 40f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJG Son Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I WILL NOT LET YOU DESTROY MY WORLD!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssjgg thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssjg goku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssjg hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 70f;
                             body.BreakingThreshold *= 25f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Mastered Ultra instinct Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Anyone who tries to hurt my friends... IS GONNA PAY!!!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("mui goku thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("mui goku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("mui hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 160f;
                             body.BreakingThreshold *= 50f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJ1 Son Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "This is a Super Saiyan.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssj1 goku thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssj1 goku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssj1 hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 20f;
                             body.BreakingThreshold *= 15f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJ2 Son Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "And this... This is what is known as a Super Saiyan that's ascended past a Super Saiyan. Or you could just call this a Super Saiyan 2.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("goku ssj2 thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssj1 goku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssj2 hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 25f;
                             body.BreakingThreshold *= 20f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJB Son Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Now I'm mad, I'm really really mad!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssjb goku thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssjb goku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssjb hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 120f;
                             body.BreakingThreshold *= 30f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJ3 Son Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "And this... IS TO GO EVEN FURTHER BEYOND!!!!!!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssj3 goku thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssj1 goku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(-0.128f, -0.343f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssj3 hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 40f;
                             body.BreakingThreshold *= 25f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Goku Black", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "This pain only makes me stronger.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("goku black thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("goku black.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 20f;
                             body.BreakingThreshold *= 30f;
                             body.transform.root.localScale *= 1f;
                    }           
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJR Goku Black", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Super Saiyan Rosé...isn't it divine?", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssjr goku black thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssjr goku black.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssjr hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 70f;
                             body.BreakingThreshold *= 40f;
                             body.transform.root.localScale *= 1f;
                    }          
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Prince Vegeta", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I will not stop, I will not rest, until I reach my goal or die trying.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("vegeta thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("vegeta.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.20f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("vegeta hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 1.7f;
                             body.BreakingThreshold *= 9f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJ1 Prince Vegeta", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Let me ask you. Does a machine such as yourself ever experience fear?", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("vegeta ssj1 thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssj1 vegeta.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssj1 hair prince vegeta.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 25f;
                             body.BreakingThreshold *= 14f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJ2 Prince Vegeta", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "You may have invaded my mind and my body but there is one thing a Saiyan always keeps! HIS PRIDE!!!!!!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssj2 vegeta thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssj2 vegeta.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssj1 hair prince vegeta.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 30f;
                             body.BreakingThreshold *= 19f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJB Prince Vegeta", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Don't underestimate us.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssjb vegeta thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssjb vegeta.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssjb hair prince vegeta.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 100f;
                             body.BreakingThreshold *= 29f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJG Prince Vegeta", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "There's no such thing as fair or unfair in battle. There is only victory or in your case, defeat.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssjg vegeta thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssjg vegeta.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("vegeta ssjg hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 70f;
                             body.BreakingThreshold *= 24f;
                             body.transform.root.localScale *= 1f;
                    }           
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Ultra Ego Prince Vegeta", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A God Of Destruction taught me that power deprived solely from instinct is unbounded.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("vegeta hakaishin thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("vegeta hakaishin.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("vegeta hakaishin hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 150f;
                             body.BreakingThreshold *= 50f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Beerus The Destroyer", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Before creation, comes destruction.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("beerus thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("beerus.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.20f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("beerus ears.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 10000f;
                             body.BreakingThreshold *= 60f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Hakaishin Son Goku (non canon)", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "HEY ITS ME GOKU (non canon)", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("goku hakaishin thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("goku hakaishin.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("goku hakaishin hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 150f;
                             body.BreakingThreshold *= 56f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Golden Frieza/Freeza", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "You'll be blinded by my Golden new form!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("golden frieza thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("golden frieza.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 50f;
                             body.BreakingThreshold *= 30f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Frieza/Freeza", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "THEREFORE Y-Y-YOU MUST... YOU MUST DIE BY MY HAND!!!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("frieza thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            var skin = ModAPI.LoadTexture("frieza.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");
            
            var person = Instance.GetComponent<PersonBehaviour>();




            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered

            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 20f;
                             body.BreakingThreshold *= 20f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Gogeta", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "The gloves are off. Fight me!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("gogeta thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("gogeta.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("gogeta hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 250f;
                             body.BreakingThreshold *= 56f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJ1 Gogeta", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I am neither Goku nor Vegeta. I am the one who will destroy you!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssj1 gogeta thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssj1 gogeta.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssj1 gogeta hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 300f;
                             body.BreakingThreshold *= 57f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);




ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJB Gogeta", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "You're not getting out of this alive.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssjb gogeta thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssjb gogeta.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssjb gogeta hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 500f;
                             body.BreakingThreshold *= 58f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Hakaishin Gogeta", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "HEY ITS ME GOGETA (Credits to @uchiha_jake for hakaishin gogeta thumbnail)", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("hakaishin gogeta thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("hakaishin gogeta.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.20f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("gogeta hakaishin hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 750f;
                             body.BreakingThreshold *= 70f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Broly", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "RRRRRAAAAAAAAAAAAAGHHHHHHHHHHH", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("broly thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("broly.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("broly hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 200f;
                             body.BreakingThreshold *= 50f;
                             body.transform.root.localScale *= 1.010f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "LSSJ Broly", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAGGGGGGGGGGGGGGGGGGGGGGGGGGGHHHHHHHHHHHHHHHHHHHHHHHHHHHHH", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("lssj broly thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("lssj broly.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("lssj hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 250f;
                             body.BreakingThreshold *= 80f;
                             body.transform.root.localScale *= 1.015f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Drip Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "T Pose", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("drip goku thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("drip goku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 100000f;
                             body.BreakingThreshold *= 100000f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Kuririn", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "First we're milkmen, and now we're stinkin' farmers. We never did this in Orin Temple.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Kuririn thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("kuririn.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
            
            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("nothing.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 2f;
                             body.BreakingThreshold *= 10f;
                             body.transform.root.localScale *= 0.987f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Son Gohan", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I'm my father's son!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("gohan thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("gohan.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("gohan hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 2f;
                             body.BreakingThreshold *= 10f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJ1 Gohan", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "To protect those important to me, I need to get more and more powerful.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssj1 gohan thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssj1 gohan.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssj1 gohan hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 10f;
                             body.BreakingThreshold *= 15f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Beast Gohan", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Is it my turn yet?", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("beast gohan thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("beast gohan.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("beast gohan hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 250f;
                             body.BreakingThreshold *= 40f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Bardock", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "HEY ITS ME BARDOCK", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("bardock thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("bardock.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 2.5f;
                             body.BreakingThreshold *= 12f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Vegetto", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "HEY ITS ME VEGETTO", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("vegeto thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("vegeto.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("vegeto hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 200f;
                             body.BreakingThreshold *= 56f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJ1 Vegetto", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "HEY ITS ME VEGETTO", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssj1 vegeto thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssj1 vegeto.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssj1 vegeto hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 350f;
                             body.BreakingThreshold *= 68f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJB Vegetto", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "HEY ITS ME VEGETTO", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssjb vegeto thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssjb vegeto.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssjb vegeto hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 500f;
                             body.BreakingThreshold *= 80f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Kid Buu", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "KI-GAH!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("kid buu thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("kid buu.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("kid buu tentacle.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 70f;
                             body.BreakingThreshold *= 80f;
                             body.transform.root.localScale *= 0.987f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Whis", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "THIS FOOD IS DELICIOUS!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("whis thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("whis.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("whis hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 2500f;
                             body.BreakingThreshold *= 80f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Zamasu", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A God is one who looks down. It is not one you can so casually touch. And yet your countless humiliations against me are sins worthy of death!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("zamasu thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("zamasu.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("zamasu hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 80f;
                             body.BreakingThreshold *= 80f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Fused Zamasu", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "My form is justice. My form is the world. Revere me.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("fused zamasu thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("fused zamasu.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("fused zamasu hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 100f;
                             body.BreakingThreshold *= 80f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Piccolo", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Gohan, you showed me power is nothing without being guided by love.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("piccolo thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("piccolo.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("piccolo ears.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 10f;
                             body.BreakingThreshold *= 20f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Orange Piccolo", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I turned orange? Really? I didn't even notice. But it felt like some switch inside me got flipped, the same way it does with you.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("orange piccolo thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("orange piccolo.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("orange piccolo ears.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 250f;
                             body.BreakingThreshold *= 40f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Future Trunks", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I read your palm, big guy. You have a short life-line.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("future trunks thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("future trunks.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("nothing.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 10f;
                             body.BreakingThreshold *= 13f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "SSJ1 Future Trunks", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "This is for Gohan!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ssj1 future trunks thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ssj1 future trunks.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("ssj1 future trunks hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 40f;
                             body.BreakingThreshold *= 20f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Hercule Satan", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Oh yeah! I'm the best!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("hercule thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("hercule.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("hercule hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 2f;
                             body.BreakingThreshold *= 10f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Master Roshi", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Remember goku, brute strength isn't everything...", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("master roshi thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("master roshi.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("master roshi beard.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 10f;
                             body.BreakingThreshold *= 10f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Jiren", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "All is meaningless without victory. To be defeated is to lose everything.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("jiren thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("jiren.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("nothing.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 250f;
                             body.BreakingThreshold *= 50f;
                             body.transform.root.localScale *= 1.010f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Dyspo", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "We Pride Troopers don't know the meaning of the word surrender! Quitting goes against our code! Hear me?", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("dyspo thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("dyspo.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.20f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("dyspo ears.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 100f;
                             body.BreakingThreshold *= 50f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Toppo", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "We're done playing the hero. There's no justice or evil. There is only either survival or erasure.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("toppo thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("toppo.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("nothing.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 150f;
                             body.BreakingThreshold *= 50f;
                             body.transform.root.localScale *= 1.010f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Black Frieza/Freeza", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I couldn't very well keep losing to you Saiyans my whole life, so I needed a bit of a power-up. Meet Black Frieza. Achieving this form took plenty of toil, I'll have you know.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("black frieza thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("black frieza.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 1000f;
                             body.BreakingThreshold *= 30f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Bulma", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A great Scientist!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("bulma thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("bulma.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
            
            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("nothing.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1f;
                             body.Health *= 1f;
                             body.BreakingThreshold *= 1f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Kid Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Eighter's gone too but he wasn't ready. He was my friend and you took him away! I'll never let you do that again! Never!", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("kid goku thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("kid goku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 2f;
                             body.BreakingThreshold *= 10f;
                             body.transform.root.localScale *= 0.980f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Droid 17", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "That's quite an entrance you've made.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("droid 17 thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("droid 17.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
            
            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("nothing.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 20f;
                             body.BreakingThreshold *= 25f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Droid 18", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "First one to kill him wins. No ties. Go.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("droid 18 thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("droid 18.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
            
            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("nothing.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();
            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 20f;
                             body.BreakingThreshold *= 25f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Cell", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I am the perfect being.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("cell thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("cell.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("cell helmet.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 20f;
                             body.BreakingThreshold *= 15f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Perfect Cell", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Now let me show you the force of my true power.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("perfect cell thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("perfect cell.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("perfect cell helmet.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 40f;
                             body.BreakingThreshold *= 15f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Super Buu", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "So hotshot, you wanna fight Majin Buu?", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("super buu thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("kid buu.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("super buu tentacle.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 100f;
                             body.BreakingThreshold *= 80f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Janemba", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Hehehe..", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("janemba thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("janemba.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0.0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("janemba helmet.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 40f;
                             body.BreakingThreshold *= 15f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Daishinkan Goku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I'm far too strong to be beaten by the likes of you.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("daishinkan goku thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("daishinkan goku.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.165f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("UIHair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 200f;
                             body.BreakingThreshold *= 40f;
                             body.transform.root.localScale *= 1f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Daishinkan", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Goku, your silence would be appreciated.", //new item description
        CategoryOverride = ModAPI.FindCategory("DragonBall Playground"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("daishinkan thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("daishinkan.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");




            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0f, 0.214f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("daishinkan hair.png");
            childSprite.sortingLayerName = "Bottom";
            var person = Instance.GetComponent<PersonBehaviour>();

            
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
            foreach (var body in person.Limbs)
                    {
                             body.BaseStrength *= 1.5f;
                             body.Health *= 10000f;
                             body.BreakingThreshold *= 100f;
                             body.transform.root.localScale *= 0.990f;
                    }
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
        NameOverride = "Z-Sword", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "The Warriors Sword.", //new item description
        CategoryOverride = ModAPI.FindCategory("Melee"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("z-sword thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("z-sword.png"); //get the SpriteRenderer and replace its sprite with a custom one
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Metal Pole"), //item to derive from
        NameOverride = "Whis Staff", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A Time Manipulation Machine.", //new item description
        CategoryOverride = ModAPI.FindCategory("Melee"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("whis staff thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("whis staff.png"); //get the SpriteRenderer and replace its sprite with a custom one
        }
    }
);


        }
    }
}